#ifndef DCJ_DIST_H
#define DCJ_DIST_H

#include "structs.h"

struct adj_struct* alloc_adj(int adj, int genes);
void adj_print(struct adj_struct* a);
void free_adj(struct adj_struct* junk);
void add_adj(struct adj_struct* out, int g1, int g2);
void remove_adj(struct adj_struct* out, int index);
void get_adj(struct genome* a, struct adj_struct* out);
void copy_adj(struct adj_struct* in, struct adj_struct* out);
struct genome* adj_to_genome(struct adj_struct* in);


//dcj managment
//int dcj_dist(struct adj_struct** in, int one, int two, struct pr** r, struct tree_controller* tc);
void apply_dcj(struct adj_struct* a, struct dcj* d);

//void genome_bound(struct adj_struct** gl, int genomes, int current, struct pr* report);
//void dataset_bound(struct adj_struct** gl, int genomes, struct pr* report, struct tree_controller* tc);

char* itoa(int val, int base);
int simple_dcj_dist(struct adj_struct* a, struct adj_struct* b);

#endif