#include <stdio.h>
#include <stdlib.h>

#include "structs.h"
#include "input.h"
#include "dcj_dist.h"
#include "vertex.h"

int main(int argc, char *argv[])
{
	int w, x, y, z;
	
	time_t start_t;
	time_t end_t;
	
	FILE *in, *outData;
	struct genome *genome_list, *equal_list;
	int num_genomes;
	struct adj_struct** adj_list;
	
	struct pr* p = (struct pr*)malloc(sizeof(struct pr));
	
	in = (FILE*)fopen(argv[1], "r");
	outData = (FILE*)fopen(argv[2], "w");
	int thresh = atoi(argv[3]);
	
	read_data(in, &genome_list, &num_genomes);
	partial_trim_genome(&genome_list, &equal_list, num_genomes, thresh-1);
	
	//for(x = 0; x < num_genomes; x++)
		//print_genome(genome_list+x);

	adj_list = (struct adj_struct**)malloc(num_genomes * sizeof(struct adj_struct*));
	
	/*for(x = 0; x < num_genomes; x++)
	{
		adj_list[x] = (struct adj_struct*)alloc_adj(equal_list->num_gene*2, equal_list->num_gene);
		get_adj(genome_list+x, adj_list[x]);
	}*/
	
	//printf("initial arrangment:\n");
	for(x = 0; x < num_genomes; x++)
	{
		adj_list[x] = (struct adj_struct*)alloc_adj(equal_list->num_gene*2, equal_list->num_gene);
		//printf("%d\n", adj_list[x]);
		get_adj(equal_list+x, adj_list[x]);
		//adj_print(adj_list[x]);
	}
	
	search_v3(adj_list, num_genomes); 
	//int score = matrix_score(adj_list, num_genomes);
	
	struct genome *g;
	for(x = 0; x < num_genomes; x++)
	{
		g = adj_to_genome(adj_list[x]);
		order_print(outData, g);
	}
	
	return 0;
}

